<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping https://www.doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
    <entity
            name="Smtm\Auth\Context\Permission\Domain\Permission"
            table="auth_permission"
            repository-class="Smtm\Auth\Context\Permission\Infrastructure\Repository\PermissionRepository"
            change-tracking-policy="DEFERRED_EXPLICIT"
    >
        <id name="id" type="integer" column="id">
            <generator strategy="IDENTITY"/>
        </id>
        <field name="uuid" type="string" column="uuid" length="36" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="name" column="r_name" type="string" length="255" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="description" column="description" type="text" nullable="false"/>
        <field name="created" column="created" type="datetime_immutable" nullable="false"/>
        <field name="modified" column="modified" type="datetime" nullable="true"/>
        <field name="notArchived" column="not_archived" type="boolean" nullable="true"/>
        <field name="archived" column="archived" type="datetime" nullable="true"/>
        <unique-constraints>
            <unique-constraint name="idx_unq_auth_role_uuid" columns="uuid"/>
            <unique-constraint name="idx_unq_auth_role_r_name_not_archived" columns="r_name,not_archived"/>
        </unique-constraints>
        <indexes>
            <index name="idx_auth_permission_not_archived" columns="not_archived"/>
        </indexes>
    </entity>
</doctrine-mapping>
